Android Studio 3.0在重建之后重复压缩输入警告

在重建我的Java / Kotlin项目之后,我在Gradle控制台中收到了很多警告。 我怎样才能删除警告?

在这里输入图像说明 我尝试在我的build.gradle中的packagingOptions:

apply plugin: 'com.android.application' apply plugin: 'kotlin-android' apply plugin: 'kotlin-android-extensions' android { compileSdkVersion 26 buildToolsVersion "25.0.2" compileOptions { sourceCompatibility JavaVersion.VERSION_1_8 targetCompatibility JavaVersion.VERSION_1_8 } defaultConfig { applicationId "com.eusecom.samfantozzi" minSdkVersion 18 targetSdkVersion 26 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" multiDexEnabled true } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } packagingOptions { exclude 'META-INF/DEPENDENCIES' exclude 'META-INF/NOTICE' exclude 'META-INF/LICENSE' exclude 'META-INF/LICENSE.txt' exclude 'META-INF/NOTICE.txt' exclude 'META-INF/LICENSE-FIREBASE.txt' //duplicate files copied in apk meta-inf/rxjava exclude 'META-INF/rxjava.properties' exclude 'META-INF/MANIFEST.MF' exclude '1.jar:META-INF/MANIFEST.MF' } } dependencies { implementation 'com.android.support:multidex:1.0.2' implementation fileTree(dir: 'libs', include: ['*.jar']) androidTestImplementation ('com.android.support.test.espresso:espresso-core:3.0.1', { exclude group: 'com.android.support', module: 'support-annotations' }) implementation "org.jetbrains.kotlin:kotlin-stdlib-jre7:$kotlin_version" implementation 'com.android.support:appcompat-v7:26.1.0' testImplementation 'junit:junit:4.12' implementation 'com.android.support.constraint:constraint-layout:1.0.2' implementation 'com.android.support:design:26.1.0' implementation 'com.android.support:recyclerview-v7:26.1.0' implementation 'com.android.support:cardview-v7:26.1.0' debugImplementation 'com.squareup.leakcanary:leakcanary-android:1.5.1' releaseImplementation 'com.squareup.leakcanary:leakcanary-android-no-op:1.5.1' testImplementation 'com.squareup.leakcanary:leakcanary-android-no-op:1.5.1' def daggerVer = 2.11 implementation "com.google.dagger:dagger:$daggerVer" implementation "com.google.dagger:dagger-android-support:$daggerVer" annotationProcessor "com.google.dagger:dagger-android-processor:$daggerVer" annotationProcessor "com.google.dagger:dagger-compiler:$daggerVer" //kotlin drawer implementation 'co.zsmb:materialdrawer-kt:1.1.1' //anko dsl implementation "org.jetbrains.anko:anko-common:$anko_version" compile "org.jetbrains.anko:anko-sdk15:$anko_version" compile "org.jetbrains.anko:anko-appcompat-v7:$anko_version" compile "org.jetbrains.anko:anko-design:$anko_version" compile "org.jetbrains.anko:anko-recyclerview-v7:$anko_version" //Firebase //Firebase Authentication email password implementation 'com.google.firebase:firebase-auth:9.6.0' //Firebase database implementation 'com.firebaseui:firebase-ui-database:0.4.0' implementation 'com.google.firebase:firebase-database:9.6.0' //picasso implementation 'com.squareup.picasso:picasso:2.5.0' //retrofit2 implementation 'com.google.code.gson:gson:2.6.2' implementation 'com.squareup.retrofit2:retrofit:2.1.0' implementation 'com.squareup.retrofit2:converter-gson:2.1.0' implementation 'com.squareup.okhttp3:logging-interceptor:3.3.1' implementation 'com.squareup.retrofit2:adapter-rxjava:2.1.0' implementation 'com.squareup.okhttp:okhttp:2.4.0' //rxjava implementation 'io.reactivex.rxjava2:rxjava:2.0.1' implementation 'io.reactivex.rxjava2:rxandroid:2.0.1' implementation 'io.reactivex:rxandroid:1.2.0' // libs like rxbinding + rxjava-math haven't been ported to RxJava 2.x yet, so this helps implementation "com.github.akarnokd:rxjava2-interop:0.6.1" implementation 'io.reactivex:rxjava-math:1.0.0' implementation 'com.jakewharton.rxrelay2:rxrelay:2.0.0' implementation 'com.jakewharton.rxbinding:rxbinding:0.2.0' implementation 'com.jakewharton.retrofit:retrofit2-rxjava2-adapter:1.0.0' } apply plugin: 'com.google.gms.google-services' 

在我的项目/ build.gradle

 buildscript { ext.kotlin_version = '1.1.3-2' ext.anko_version = '0.8.2' repositories { google() jcenter() } dependencies { classpath 'com.android.tools.build:gradle:3.0.0-alpha7' classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version" classpath "org.jetbrains.kotlin:kotlin-android-extensions:$kotlin_version" classpath 'com.google.gms:google-services:3.0.0' // NOTE: Do not place your application dependencies here; they belong // in the individual module build.gradle files } } 

Kotlin language will be the best programming language for Android.